Currently when using Zypper under SLES 10 SP2 / SP3, it has a problem if
you have more than one version of a kernel installed. It always detects
that it needs to update the kernel even if the latest one is installed.

We keep one downlevel kernel when patching due to potential issues
upgrading kernels. That way we can boot the old kernel.

rpm -q kernel-smp shows...
kernel-smp-2.6.16.60-0.39.3
kernel-smp-2.6.16.60-0.66.1

The kernel we have in our update repo is 2.6.16.60-0.66.1. If we run
zypper up -t package it will upgrade the kernel and erase the
kernel-smp-2.6.16.60-0.39.3. It looks like zypper takes the first
result and assumes there is no newer kernel than that and flags an
upgrade.

Anyone have any ideas??
Randy


--
RandyVanF
------------------------------------------------------------------------
RandyVanF's Profile: http://forums.novell.com/member.php?userid=102638
View this thread: http://forums.novell.com/showthread.php?t=444002